Package org.eclipse.birt.chart.script.api.scale

# Interface ILinearScale

All Superinterfaces:
  `IScale`

All Known Subinterfaces:
  `ILogarithmicScale`

public interface ILinearScale extends IScale
Represents the Scale for chart scaling when Axis is Linear type.

## Method Summary

Modifier and Type
Method
Description
`double`
`getMax()`
Gets the maximum value that appears in Axis
`double`
`getMin()`
Gets the minimum value that appears in Axis
`int`
`getNumberOfSteps()`
Gets the number of steps for scaling
`int`
`getStepSize()`
Gets the step size for scaling.
`void`
`setMax(double max)`
Sets the maximum value that appears in Axis
`void`
`setMin(double min)`
Sets the minimum value that appears in Axis
`void`
`setNumberOfSteps(int steps)`
Sets the number of steps for scaling
`void`
`setStepSize(int size)`
Sets the step size for scaling.

### Methods inherited from interface org.eclipse.birt.chart.script.api.scale.IScale

`isAuto, isCategory, setAuto, setCategory`

## Method Details

### getStepSize

int getStepSize()
Gets the step size for scaling.

Returns:
  step size

### setStepSize

void setStepSize(int size)
Sets the step size for scaling.

Parameters:
  `size` - step size

### getNumberOfSteps

int getNumberOfSteps()
Gets the number of steps for scaling

Returns:
  number of steps

### setNumberOfSteps

void setNumberOfSteps(int steps)
Sets the number of steps for scaling

Parameters:
  `steps` - number of steps

### getMin

double getMin()
Gets the minimum value that appears in Axis

Returns:
  minimum value

### getMax

double getMax()
Gets the maximum value that appears in Axis

Returns:
  maximum value

### setMin

void setMin(double min)
Sets the minimum value that appears in Axis

Parameters:
  `min` - minimum value

### setMax

void setMax(double max)
Sets the maximum value that appears in Axis

Parameters:
  `max` - maximum value